#
# spec file for package acroread-cmaps (Version 9.3.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           acroread-cmaps
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
Url:            http://www.adobe.com/products/acrobat/readermain.html
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Publishing/PDF
AutoReqProv:    on
Provides:       locale(acroread:ja;ko;zh)
Summary:        CMap files for acroread
Source0:        ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_chs_i486-linux.tar.bz2
Source1:        ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_cht_i486-linux.tar.bz2
Source2:        ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_jpn_i486-linux.tar.bz2
Source3:        ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_kor_i486-linux.tar.bz2
#Source4:        ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_xtd_i486-linux.tar.bz2
# this Version is reported when calling "acroread -version"
Version:        9.3.4
Release:        0.3.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
NoSource:       0
NoSource:       1
NoSource:       2
NoSource:       3

%description
Character Map files for acroread which are needed for Chinese, Japanese
and Korean.



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-zh_CN
License:        NON-OSI-COMPLIANT(royalties)
Requires:       acroread acroread-cmaps
Provides:       locale(acroread:zh)
Summary:        Simplified Chinese fonts for acroread
Group:          System/I18n/Chinese
AutoReqProv:    on

%description -n acroread-fonts-zh_CN
Simplified Chinese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-zh_TW
License:        NON-OSI-COMPLIANT(royalties)
Requires:       acroread acroread-cmaps
Provides:       locale(acroread:zh)
Summary:        Traditional Chinese fonts for acroread
Group:          System/I18n/Chinese
AutoReqProv:    on

%description -n acroread-fonts-zh_TW
Traditional Chinese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-ko
License:        NON-OSI-COMPLIANT(royalties)
Requires:       acroread acroread-cmaps
Provides:       locale(acroread:ko)
Summary:        Korean fonts for acroread
Group:          System/I18n/Korean
AutoReqProv:    on

%description -n acroread-fonts-ko
Korean fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-ja
License:        NON-OSI-COMPLIANT(royalties)
Requires:       acroread acroread-cmaps
Provides:       locale(acroread:ja)
Summary:        Japanese fonts for acroread
Group:          System/I18n/Japanese
AutoReqProv:    on

%description -n acroread-fonts-ja
Japanese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%define INSTALL_DIR /usr/lib

%prep
# unpack the Source into a suitable directory
# there is the top-level directory "AdobeReader" in the source archive
%setup -T -c AdobeReader -n AdobeReader -a 0 -a 1 -a 2 -a 3 

%build
# there is nothing to build as this package is a binary-only package

%install
# install the extra font packages:
mkdir -p $RPM_BUILD_ROOT%INSTALL_DIR
for i in CHSKIT/*TAR CHTKIT/*TAR KORKIT/*TAR JPNKIT/*TAR
do
    tar xvf $i -C $RPM_BUILD_ROOT%INSTALL_DIR 
done
# Delete files which are already in the main acroread package:
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader9/Reader/intellinux/lib/libicudata.so.36.0
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader9/Resource/CMap/Identity-H
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader9/Resource/CMap/Identity-V
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT
%endif

%clean

%files -n acroread-cmaps
%defattr(-,root,root)
%doc CHSKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader9/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/CMap/
# the Identity* CMaps area already in the main acroread package:
%INSTALL_DIR/Adobe/Reader9/Resource/CMap/[0-9A-HJ-Z]*

%files -n acroread-fonts-zh_CN
%defattr(-,root,root)
%doc CHSKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader9/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/AdobeSongStd*.otf
%INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/AdobeHeitiStd*.otf

%files -n acroread-fonts-zh_TW
%defattr(-,root,root)
%doc CHTKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader9/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/AdobeMingStd*.otf

%files -n acroread-fonts-ko
%defattr(-,root,root)
%doc KORKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader9/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/AdobeMyungjoStd*.otf

%files -n acroread-fonts-ja
%defattr(-,root,root)
%doc JPNKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader9/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/
%dir %INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader9/Resource/CIDFont/KozMin*.otf

%changelog
* Mon Oct 19 2009 pth@suse.de
- Update fontpacks to 9.x versions
- Adapt paths for acroread 9.x
* Tue Jul 15 2008 mfabian@suse.de
- bnc#409272: fix locale() tags in .spec file: install
  acroread-cmaps and fonts only if acroread is already installed.
* Tue Feb  5 2008 mfabian@suse.de
- update fontpackages to the final release for 8.1.2.
  (now a Gothic font for Japanese is included.)
* Fri Jan 11 2008 mfabian@suse.de
- use fdupes only for openSUSE >= 10.3.
* Fri Jan 11 2008 mfabian@suse.de
- adapt paths for acroread 8.1.2.
* Fri Oct 12 2007 mfabian@suse.de
- new packages with CMaps and fonts for Chinese, Japanese,
  and Korean.
